# Ansible Role: lxd-deploy

## Introduction

This role will deploy an LXD container or VM to a selected LXD host, either
local or remote.

Originally written to use the lxd_container module. Unfortunately, this module
only seems reliable when deploying to the local host, or a target in a cluster.
Deploying to a remote host (via the 'lxc remote' feature) seems to be
problematic, so for now, deployment is accomplished using 'lxc launch' from a
shell command. This does mean, however, that lxd must be installed on the host
running the ansible deployment role, and any remote hosts to be deployed to
must be configured as remotes, using the 'lxc remote' feature.


This role will then configure network, sshd and selected packages on a newly deployed LXD
container or VM.

